package creim.art.models;

import java.awt.Color;
import java.awt.Dimension;
import javalib.util.RandomUtil;
import creim.oldea.EAMutable;
import java.lang.reflect.Field;



public class CircleBrushModel extends PainterModel {

	public int x;
	public int y;
	public int w;
	public int h;
	public float brushwidth;
	public Color brushcolor;

	public CircleBrushModel() {
	}
	
	public CircleBrushModel(int x, int y, int w, int h, float brushwidth, Color brushcolor) {
		this.x = x;
		this.y = y;
		this.w = w;
		this.h = h;
		this.brushwidth = brushwidth;
		this.brushcolor = brushcolor;
	}

	@Override
	public void randomize() {
		x = RandomUtil.nextInt(-margin, imagedim.width + margin);
		y = RandomUtil.nextInt(-margin, imagedim.height + margin);
		w = RandomUtil.nextInt(-margin, imagedim.width + margin);
		h = RandomUtil.nextInt(-margin, imagedim.height + margin);
		brushcolor = palette[RandomUtil.nextInt(palette.length)];
		brushwidth = RandomUtil.nextInt(75);
	}
	
	
	
	@Override
	public void mutate(Dimension imagedim, Color[] palette, int margin) {
		int p = RandomUtil.nextInt(6);
		if (p == 0)
			x = RandomUtil.nextInt(-margin, imagedim.width+margin);
		else if (p == 1)
			y = RandomUtil.nextInt(-margin, imagedim.height+margin);
		else if (p == 2)
			w = RandomUtil.nextInt(-margin, imagedim.width+margin);
		else if (p == 3)
			h = RandomUtil.nextInt(-margin, imagedim.height+margin);
		else if (p == 4)
			brushcolor = palette[RandomUtil.nextInt(palette.length)];
		else if (p == 5)
			brushwidth = RandomUtil.nextInt(75);
	}

	
}
