package master.tests.software;

import eval.ea.OnChangedEvent;
import eval.util.Config;
import java.io.IOException;
import creim.oldea.ArtEA;
import creim.oldea.ArtPhenotype;
import creim.gui.ImageFrame;



public class EATest {
	
	public static void main(String[] args) throws IOException {
		Config cfg = new Config("ArtEA.properties");
		ArtEA ea = new ArtEA(cfg);
		
		ea.addListener((e) -> {
			if (e == OnChangedEvent.NEW_BEST_FITNESS) {
				ArtPhenotype winner = (ArtPhenotype)ea.getWinner();
				ImageFrame frame = new ImageFrame(winner.image);
				frame.setVisible(true);
			}
		});
		
		ea.evolve();
		
		ArtPhenotype winner = (ArtPhenotype)ea.getWinner();
		
		ImageFrame frame = new ImageFrame(winner.image);
		frame.setVisible(true);
	}
	
}
